MODFILE = dino
CC   = ccpsx

all: xmplayer.o music.o samples.raw
        echo Done

xmplayer.o: xmplayer.c
        ccpsx -c $&.c -o $&.o

music.o: $(MODFILE).xm
        raw2src $(MODFILE).xm music.c MUSIC_RAW
        ccpsx -c music.c -o $&.o
        del music.c

samples.raw: $(MODFILE).vh $(MODFILE).vb
        copy /b $(MODFILE).vh /b + $(MODFILE).vb /b samples.raw

clean:
        del *.o
        del samples.raw
